﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;

namespace Seminar05_Mi
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        List<Datenreihe> datenreihen = new List<Datenreihe>();

        OpenFileDialog ofd = new OpenFileDialog();
        
        private void buttonLoadMore_Click(object sender, RoutedEventArgs e)
        {
            if (ofd.ShowDialog() == true)
            {
                datenreihen.Add(new Datenreihe(ofd.FileName));

                canvasChart.Children.Clear();

                double minX = datenreihen.Min(d => d.MinX);
                double maxX = datenreihen.Max(d => d.MaxX);
                double minY = datenreihen.Min(d => d.MinY);
                double maxY = datenreihen.Max(d => d.MaxY);

                labelMinX.Content = minX;
                labelMaxX.Content = maxX;
                labelMinY.Content = minY;
                labelMaxY.Content = maxY;

                foreach (var reihe in datenreihen)
	            {
                    Polyline pl = new Polyline();
                    pl.Stroke = Brushes.Blue;
                    pl.StrokeThickness = 1.0;

                    for (int i = 0; i < reihe.Count; i++)
                    {
                        pl.Points.Add(new Point(canvasChart.ActualWidth/(maxX-minX)*(reihe.GetX(i)-minX), canvasChart.ActualHeight/(maxY-minY)*(maxY-reihe.GetY(i))));
                    }

		            canvasChart.Children.Add(pl);
	            }
            }
        }
    }
}
